> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/country-details/mexico.md).

# Mexico

## <mark style="color:purple;">Bank Transfer</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = bank\_transfer

| payout\_method\_details Parameter | Type   | Required | Description                                                                      |
| --------------------------------- | ------ | -------- | -------------------------------------------------------------------------------- |
| first\_name                       | string | Yes      | Beneficiary’s first name. Max 50 char                                            |
| last\_name                        | string | Yes      | Beneficiary’s last name. Max 50 char                                             |
| account\_number                   | string | Yes      | See “Mexico Bank Account Number Validation” below                                |
| bank\_code                        | string | No       | **Mandatory only if the account is a debit card**. See “Mexico Bank Codes” below |

## <mark style="color:purple;">Mexico Bank Account Number Validation</mark>

| Validation   | Type  | Length | Type    | Verification digit           | Example            |
| ------------ | ----- | ------ | ------- | ---------------------------- | ------------------ |
| Bank account | CLABE | 18     | numeric | Apply verification algorithm | 032180000118359719 |

### <mark style="color:purple;">Example Bank Transfer Payload</mark>

{% tabs %}
{% tab title="Example Request" %}

```javascript
{
  "payout_method": {
    "type": "bank_transfer",
    "payment_method": "bank_transfer",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "first_name": "John",
        "last_name": "Doe",
        "account_number": "032180000118359719", 
        "bank_code": "138" 
      }
    }
  },
  "amount": {
    "value": "2000.00",
    "currency_code": "MXN"
  },
  "country_code": "MX",
  "purpose": "salaries",
  "reference": "Invoice #12345",
  "request_id": "unique_request_id",
  "due_date": "2022-06-27"
}

```

{% endtab %}

{% tab title="Example Response" %}

```javascript
{
  "purpose": "SALARIES",
  "reference": "Invoice #12345",
  "id": "4b3c99a6-bd0e-425b-bd48-a63c755ef5a2",
  "payout_method": {
    "type": "bank_transfer",
    "payment_method": "mx_bank_transfer",
    "beneficiary_details": {
      "name": "John Doe"
    }
  },
  "amount": {
    "value": 2000,
    "currency_code": "MXN"
  },
  "country_code": "MX",
  "request_id": "unique_request_id",
  "created_at": 1715064262
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">Mexico Bank Codes</mark>

| Type                       | Bank Name                           | Bank Code |
| -------------------------- | ----------------------------------- | --------- |
| Bank Transfer (Debit Card) | ABC Capital                         | 138       |
|                            | Accival                             | 614       |
|                            | Actinver                            | 133       |
|                            | Afirme                              | 62        |
|                            | Akala                               | 638       |
|                            | Alternativos                        | 661       |
|                            | American Express                    | 103       |
|                            | Arcus                               | 706       |
|                            | Asea                                | 652       |
|                            | Autofin                             | 128       |
|                            | Azteca                              | 127       |
|                            | B\&B                                | 610       |
|                            | Bajio                               | 30        |
|                            | Bamsa                               | 106       |
|                            | Banamex                             | 2         |
|                            | Banco Famsa                         | 131       |
|                            | Bancomext                           | 6         |
|                            | Bancoppel                           | 137       |
|                            | Banjercito                          | 19        |
|                            | Banobras                            | 9         |
|                            | Banorte                             | 72        |
|                            | Banregio                            | 58        |
|                            | Bansefi                             | 166       |
|                            | Bansi                               | 60        |
|                            | Barclays                            | 129       |
|                            | Bbase                               | 145       |
|                            | BBVA Bancomer                       | 12        |
|                            | BMonex                              | 112       |
|                            | BMultiva                            | 132       |
|                            | Bulltick CB                         | 632       |
|                            | CB Actinver                         | 621       |
|                            | CB Intercam                         | 630       |
|                            | CB JPMorgan                         | 640       |
|                            | CI Bolsa                            | 631       |
|                            | Cibanco                             | 143       |
|                            | CLS                                 | 901       |
|                            | Compartamos                         | 130       |
|                            | Consubanco                          | 140       |
|                            | Credit Suisse                       | 126       |
|                            | Deutsche Bank                       | 124       |
|                            | Estructuradores                     | 606       |
|                            | Evercore                            | 648       |
|                            | Finamex                             | 616       |
|                            | Fincomun                            | 634       |
|                            | GBM                                 | 601       |
|                            | HDI Seguros                         | 636       |
|                            | Hipotecaria Federal                 | 168       |
|                            | HSBC                                | 21        |
|                            | Inbursa                             | 36        |
|                            | Indeval                             | 902       |
|                            | ING                                 | 116       |
|                            | Interacciones                       | 37        |
|                            | Interbanco                          | 136       |
|                            | Invex                               | 59        |
|                            | IXE                                 | 32        |
|                            | JP Morgan                           | 110       |
|                            | Kuspit                              | 653       |
|                            | Libertad                            | 670       |
|                            | Mapfre                              | 619       |
|                            | Masari                              | 602       |
|                            | Merrill Lynch                       | 615       |
|                            | Mifel                               | 42        |
|                            | Monexcb                             | 600       |
|                            | Nafin                               | 135       |
|                            | Oactin                              | 622       |
|                            | Opciones Empresariales del Noroeste | 659       |
|                            | Order                               | 637       |
|                            | Profuturo                           | 620       |
|                            | Reforma                             | 642       |
|                            | Santander                           | 14        |
|                            | Scotiabank                          | 44        |
|                            | Segmty                              | 651       |
|                            | Skandia Vida                        | 623       |
|                            | Skandia Operadora                   | 649       |
|                            | Sofiexpress                         | 655       |
|                            | Sterling                            | 633       |
|                            | STP                                 | 646       |
|                            | Su Casita                           | 629       |
|                            | Telecomm                            | 647       |
|                            | The Royal Bank                      | 102       |
|                            | Tiber                               | 607       |
|                            | Tokyo                               | 108       |
|                            | UBS Bank                            | 139       |
|                            | Unagra                              | 656       |
|                            | Unica                               | 618       |
|                            | Valmex                              | 617       |
|                            | Value                               | 605       |
|                            | Ve Por Mas                          | 113       |
|                            | Vector                              | 608       |
|                            | Volkswagen                          | 141       |
|                            | Walmart                             | 134       |
|                            | Zurich                              | 627       |
|                            | Zurichvi                            | 628       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/country-details/mexico.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
